---
title: Samba VFS recycleplus モジュール - 機能拡張版 recycle
---

`vfs_recycleplus` は管理者ユーザーのみゴミ箱内のファイル削除を可能とする
Samba のゴミ箱機能です。

ビルド方法
======================================================================

```console
$ tar xf vfs-recycleplus-x.y.z.tar.gz -C <Sambaのソースディレクトリ>/source3/modules/
$ cd <Sambaのソースディレクトリ>
$ echo "bld.RECURSE('vfs_recycleplus')" >> ./source3/modules/wscript_build
$ ./configure --with-shared-modules=vfs_recycleplus
$ make
```

設定パラメーター
======================================================================

```ini
vfs objects = recycleplus
```

と設定し、この VFS を有効化します。
新規に追加された設定パラメーターは以下の通りです。

* `recycle:force_owner_user`
    * ゴミ箱移動後のファイルの所有者を指定したユーザーに変更する。
* `recycle:force_owner_group`
    * ゴミ箱移動後のファイルの所有グループを指定のユーザーの
      プライマリーグループに変更する。
* `recycle:file_mode`
    * ゴミ箱移動後のファイルのパーミッションを指定の値 (8 進数表記) に変更する。

設定例
----------------------------------------------------------------------

```ini
vfs objects = recycleplus
recycle:repository = trashbox
recycle:keeptree = yes
recycle:versions = yes
recycle:force_owner_user = admin
recycle:force_owner_group = admin
recycle:file_mode = 644
recycle:directory_mode = 775
```

注意事項
======================================================================

* モジュール名は `recycleplus` ですが設定パラメータのプレフィックスは
  `recycle:` であることにご注意ください。

* この `recycleplus` モジュールは通常の `recycle` モジュールと同時に
  利用されることを想定していません。必ず、どちらか片方のモジュールのみ
  有効になるようにしてください。
